Project

General

Profile

Bug #12061

DNS resolv error RuntimeError: can't modify frozen String when using IPv6 Addresses

Added by steve.misky (Stephen Misk) over 4 years ago. Updated about 4 years ago.

Status:
Closed
Priority:
Normal
Assignee:
-
Target version:
-
ruby -v:
ruby 2.3.0p0 (2015-12-25 revision 53290) [x86_64-linux]
[ruby-core:73761]

Description

Just upgraded from Ruby 1.9.3-p194 to Ruby 2.3.0

eventmachine (1.0.9.1)
eventmachine_httpserver (0.2.1)

irb
2.3.0 :001 > require 'eventmachine'
=> true
2.3.0 :002 > Resolv::IPv6.create('2607:F8B0:4002:C0C::66')
RuntimeError: can't modify frozen String
from /usr/local/rvm/rubies/ruby-2.3.0/lib/ruby/2.3.0/resolv.rb:2462:in block in create'
from /usr/local/rvm/rubies/ruby-2.3.0/lib/ruby/2.3.0/resolv.rb:2462:in
scan'
from /usr/local/rvm/rubies/ruby-2.3.0/lib/ruby/2.3.0/resolv.rb:2462:in create'
from (irb):2
from /usr/local/rvm/rubies/ruby-2.3.0/bin/irb:11:in
'
2.3.0 :003 > Resolv::IPv4.create('74.125.226.19')
=> #<Resolv::IPv4 74.125.226.19>
2.3.0 :004 >


Related issues

Is duplicate of Ruby master - Bug #11910: resolv.rb - can't modify frozen String in #scanClosedActions

Updated by steve.misky (Stephen Misk) over 4 years ago

  • ruby -v changed from Ruby 2.3.0 to uby 2.3.0p0 (2015-12-25 revision 53290) [x86_64-linux]

Updated by steve.misky (Stephen Misk) over 4 years ago

  • ruby -v changed from uby 2.3.0p0 (2015-12-25 revision 53290) [x86_64-linux] to ruby 2.3.0p0 (2015-12-25 revision 53290) [x86_64-linux]

Updated by steve.misky (Stephen Misk) over 4 years ago

  • Description updated (diff)
#4

Updated by usa (Usaku NAKAMURA) over 4 years ago

  • Is duplicate of Bug #11910: resolv.rb - can't modify frozen String in #scan added

Updated by usa (Usaku NAKAMURA) over 4 years ago

  • Status changed from Open to Closed
  • Backport changed from 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3: UNKNOWN to 2.0.0: DONTNEED, 2.1: DONTNEED, 2.2: DONTNEED, 2.3: REQUIRED

Updated by naruse (Yui NARUSE) about 4 years ago

  • Backport changed from 2.0.0: DONTNEED, 2.1: DONTNEED, 2.2: DONTNEED, 2.3: REQUIRED to 2.0.0: DONTNEED, 2.1: DONTNEED, 2.2: DONTNEED, 2.3: DONE

ruby_2_3 r54404 merged revision(s) 53363.

Also available in: Atom PDF